Subject: [bug#75101] [PATCH 0/2] Fix broken Retroarch while respecting FSDG

From: Andrew Wong <[email-masked]>
Date: Fri, 3 Jan 2025 21:02:16 -0500

宋文武 <[email-masked]> writes:

 > Despite FSDG requirements, I think downloading those cores / shared
 > libraries from internet is not a good idea, as there maybe compability
 > issues between their build environment and Guix

Unfortunately, packaging all the Retroarch cores is quite non-trivial,
as they do not have a consistent build system or source tree layout;
many of their upstream repositories are even lacking version numbers and
directions for building.

While I think we should still keep packaging the cores, I also think it
is better to offer imperfect functionality over almost none at all in
this case, since it is non-essential games software, and the cores'
functionality is entirely contained in the application; them not working
perfectly won't crash servers or poison scientific data, but it may help
retain a lot of users.